## pg-rewrite 2.0.0

=== Makefile ===
PG_CONFIG ?= pg_config
MODULE_big = pg_rewrite
OBJS = pg_rewrite.o concurrent.o $(WIN32RES)
PGFILEDESC = "pg_rewrite - tools for maintenance that requires table rewriting."

EXTENSION = pg_rewrite
DATA = pg_rewrite--1.0.sql pg_rewrite--1.0--1.1.sql pg_rewrite--1.1--1.2.sql\
pg_rewrite--1.2--2.0.sql pg_rewrite--1.3--2.0.sql
DOCS = pg_rewrite.md

REGRESS = pg_rewrite generated
#ISOLATION = pg_rewrite_concurrent pg_rewrite_concurrent_partition \
pg_rewrite_concurrent_toast

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pg-rewrite (2.0.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 18.
  * Add ${postgresql:Breaks}.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 21:59:16 +0200

pg-rewrite (2.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 08 Aug 2025 11:05:50 +0200

pg-rewrite (1.3.0-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Tue, 27 May 2025 18:07:37 +0200

=== debian/control ===
Source: pg-rewrite
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.2
Homepage: https://github.com/cybertec-postgresql/pg_rewrite
Vcs-Browser: https://salsa.debian.org/postgresql/pg-rewrite
Vcs-Git: https://salsa.debian.org/postgresql/pg-rewrite.git

Package: postgresql-18-pg-rewrite
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Rewrite PostgreSQL tables with less locking
 pg_rewrite is a tool to rewrite table (i.e. to copy its data to a new file).
 It allows both read and write access to the table during the rewriting.
 .
  * Change data type of column(s)
  * Partition the table
  * Change order of columns

=== debian/rules ===
#!/usr/bin/make -f

export PG_VIRTUALENV_ARGS = -o wal_level=logical -o shared_preload_libraries=pg_rewrite

%:
	dh $@ --with pgxs

override_dh_installdocs:
	dh_installdocs --all pg_rewrite.md

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g" \
https://github.com/cybertec-postgresql/pg_rewrite/tags .*/(?:REL)?(.*).tar.gz

## pg-rewrite 2.1.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 EXTENSION = pg_rewrite
 DATA = pg_rewrite--1.0.sql pg_rewrite--1.0--1.1.sql pg_rewrite--1.1--1.2.sql\
-pg_rewrite--1.2--2.0.sql pg_rewrite--1.3--2.0.sql
+pg_rewrite--1.2--2.0.sql pg_rewrite--1.3--2.0.sql pg_rewrite--2.0--2.1.sql
 DOCS = pg_rewrite.md
 
 REGRESS = pg_rewrite generated

=== debian/changelog ===
pg-rewrite (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Feb 2026 14:53:41 +0100
